aboutsummaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorlinimon <linimon@FreeBSD.org>2010-06-26 07:22:45 +0800
committerlinimon <linimon@FreeBSD.org>2010-06-26 07:22:45 +0800
commit14cff5745a6f8cfb46911a1e4ff13eee2c16e186 (patch)
treef8e8cd6475b0212edf29f49cfca363b94eecbfdf /Tools
parent6157b93ef2544cd3b45dac89f823a407c3cdf2a1 (diff)
downloadfreebsd-ports-gnome-14cff5745a6f8cfb46911a1e4ff13eee2c16e186.tar.gz
freebsd-ports-gnome-14cff5745a6f8cfb46911a1e4ff13eee2c16e186.tar.zst
freebsd-ports-gnome-14cff5745a6f8cfb46911a1e4ff13eee2c16e186.zip
Generalize the packge building scripts to be able to be run on more than
one 'head' node, rather than just pointyhat itself. Constants are factored out into installation-specific files known as portbuild/conf/server.conf and portbuild/conf/client.conf. There is only one server.conf file. Individual <arch> directories may have their own client.conf files, or may symlink to ../conf/client.conf. Gracefully handle the case of INDEX failing to build. This helps the calling script to exit instead of spewing errors. Feature safe: yes
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/makeindex5
1 files changed, 5 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/makeindex b/Tools/portbuild/scripts/makeindex
index c0664b8e2295..0635357158e2 100755
--- a/Tools/portbuild/scripts/makeindex
+++ b/Tools/portbuild/scripts/makeindex
@@ -28,6 +28,7 @@ shift 3
builddir=${pb}/${arch}/${branch}/builds/${buildid}
+. ${pb}/conf/server.conf
. ${pb}/${arch}/portbuild.conf
. ${pb}/scripts/buildenv
@@ -41,6 +42,10 @@ export LOCALBASE=/nonexistentlocal
cd ${PORTSDIR}
make index
+if [ ! -e ${INDEXFILE} ]; then
+ echo "makeindex: failed to make ${INDEXFILE}"
+ exit 1
+fi
# remove extra spaces in dependency list -- this causes problems
# Also transform the dummy paths to their canonical locations